﻿@model Cines.Models.Funcion

@{
    ViewBag.Title = "Create";
}

<h2 style="text-align:center">CREAR PELÍCULA</h2>

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4 style="text-align:center">Funcion</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
       

        <div class="form-group">
            <label class = "control-label col-md-2">Sala</label >
            <div class="col-md-10" >
                <select class="form-control" id="selectsala" name="SalaId" required onchange="tipoSala()" >
                    <option value="" selected disabled>Elija una</option>
                    @foreach (var s in ViewBag.Salas)
                    {
                        <option value="@s.Id" id="@s.MyDiscriminator">@s.Numero  /  Tipo: @s.MyDiscriminator</option>
                    }
                </select>
                <p id="avisoHd" style="display:none;color:brown">Recuerde que no pueden elegirse películas documentales para salas HD</p>
            </div>
        </div>

         <div class="form-group">
            <label class = "control-label col-md-2">Película</label>
            <div class="col-md-10">
                <select class="form-control" name="PeliculaId" required id="PeliculaId" >
                    <option value="" selected>Elija una</option>
                    <optgroup label="Comerciales">
                        @foreach(var p in ViewBag.PeliculasComerciales)
                        {
                            <option value="@p.ID">@p.Nombre</option>
                        }
                    </optgroup>
                    <optgroup label="Documentales" id="Documentales">
                        @foreach (var p in ViewBag.PeliculasDocumentales)
                        { 
                            <option value="@p.ID">@p.Nombre</option>
                        }
                    </optgroup>
                </select>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Horario, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <input id="Horario" name="Horario" type="date" required>
                @Html.ValidationMessageFor(model => model.Horario, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}



<div>
    @Html.ActionLink("Volver a funciones", "ElegirCine")
</div>


<script>
    function tipoSala(){
        var sala = $("select[name=SalaId] :selected").text();
        var tipo = "HD";

        if (sala.includes(tipo)) {
            $("#Documentales").hide()
            $('#avisoHd').show()
            $("#PeliculaId option[value='']").prop('selected', true);
        }
        else {
            $("#Documentales").show();
            $('#avisoHd').hide()
        }
    }
</script>